Bug 583142 - Review Request: i3-ipc - Inter-process communication with i3
Summary: Review Request: i3-ipc - Inter-process communication with i3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Kowaliczek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-16 19:32 UTC by Simon
Modified: 2010-06-26 21:24 UTC (History)
4 users (show)

Fixed In Version: i3-ipc-0.1.4-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 17:09:56 UTC
linuxdonald: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Simon 2010-04-16 19:32:07 UTC
Spec URL: http://cassmodiah.fedorapeople.org/i3/i3-ipc.spec
SRPM URL: http://cassmodiah.fedorapeople.org/i3/i3-ipc-0.1.4-1.fc14.src.rpm
Description: The ruby script i3-ipc can be used to communicate with i3, the improved tiling window manager, through the provided ipc socket.
Useful for scripting the window manager.

Comment 1 Fabian 2010-04-17 20:09:18 UTC
Ok this looks simple.
rpmlint output is:
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
So everything is fine from that place.
The License matches the licensing guidelines as it is a BSD license.
The name is ok too, it does not contain an underscore, pluses or violates in any way the naming guidelines. It is proper divided with a "-"
The spec is also in proper American English. 
Everything seems to match the "must" cases. I see no blocker here.
A koji scratch build would be fine although. I created one you can find it here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=2122777

Comment 2 Fabian 2010-04-17 20:10:44 UTC
I would approve it but I cant.

Comment 3 Simon 2010-04-17 20:15:52 UTC
hey fabian, please use this review template:
http://fedoraproject.org/wiki/PackagingDrafts/ReviewTemplate

OR take a look at other reviews:
https://bugzilla.redhat.com/show_bug.cgi?id=582369#c1
just an example

Comment 4 Simon 2010-04-17 20:19:38 UTC
be brave, try it again. Ask one of the maintainers in your fedora IRC chan if you need help. You can always ask them. There are no stupid questions. Even dwarfs started small; be brave!

Comment 5 Fabian 2010-04-17 20:54:28 UTC
MUST Items:
[x] MUST: rpmlint must be run on every package.

[x] MUST: The package must be named according to the Package Naming Guidelines.
[x] MUST: The spec file name must match the base package %{name}
[x] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this list and more]
[x] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[x] MUST: The License field in the package spec file must match the actual license.
[x] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[x] MUST: The spec file must be written in American English.
[x] MUST: The spec file for the package MUST be legible.
[x] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
8281c78caa9d1aad324f9f53934d64e1  i3-ipc  
95a43ea416cc50a460661d6ac70f9609  i3-ipc.1
The checksums match the checksums of the downloaded files.

[x] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture. (noarch)
[NA] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[x] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[NA] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[x] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[x] MUST: A package must not contain any duplicate files in the %files listing.
[x] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[x] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[x] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[NA] MUST: Large documentation files should go in a doc subpackage.
[x] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[NA] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[NA] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[x] MUST: Packages must not own files or directories already owned by other packages.
[x] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[NA] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[NA] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[x] SHOULD: The reviewer should test that the package builds in mock.
[x] SHOULD: The package should compile and build into binary rpms on all supported architectures. (noarch)
[NA] SHOULD: The reviewer should test that the package functions as described.
[NA] SHOULD: If scriptlets are used, those scriptlets must be sane.
[NA] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[NA] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[NA] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[x] SHOULD: Packages should try to preserve timestamps of original installed files.

X or "x" means okay or fullfilled
NA means not applicable

Comment 6 Thomas Kowaliczek 2010-04-18 14:07:04 UTC
Thank you Fabian for reviewing the package :)

Package is approved because Fabian have reviewed it.

Comment 7 Simon 2010-04-18 17:51:03 UTC
Thank you Fabian and Thomas for your reviews.

New Package CVS Request
=======================
Package Name: i3-ipc
Short Description: Inter-process communication with i3
Owners: cassmodiah
Branches: F-12 F-13
InitialCC:

Comment 8 Kevin Fenzi 2010-04-21 04:10:42 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-04-21 16:09:33 UTC
i3-ipc-0.1.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/i3-ipc-0.1.4-1.fc13

Comment 10 Fedora Update System 2010-04-21 16:09:53 UTC
i3-ipc-0.1.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/i3-ipc-0.1.4-1.fc12

Comment 11 Fedora Update System 2010-04-22 22:57:12 UTC
i3-ipc-0.1.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update i3-ipc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/i3-ipc-0.1.4-1.fc13

Comment 12 Fedora Update System 2010-05-10 17:09:51 UTC
i3-ipc-0.1.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-05-10 23:50:59 UTC
i3-ipc-0.1.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Simon 2010-06-23 12:10:57 UTC
Package Change Request
======================
Package Name: i3-ipc
New Branches: EL-6
Owners: cassmodiah

Comment 15 Jason Tibbitts 2010-06-26 21:24:45 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.